Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.registry
Interface KernelRegistry

All Superinterfaces:
  KernelEventEmitter, KernelObject

All Known Implementing Classes:
  AbstractKernelRegistry

public interface KernelRegistry
extends KernelObject

A registry.

The registry is responsible for keeping track of named beans so they can be invoked over the bus and used in dependencies.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary
`static String` | `KERNEL_REGISTRY_REGISTERED` Event type for registered event
`static String` | `KERNEL_REGISTRY_UNREGISTERED` Event type for unregistered event

Method Summary
`boolean` | `containsEntry(Object name)` Returns whether or not there exists a KernelRegistryEntry with the given name.
`KernelRegistryEntry` | `getEntry(Object name)` Get a registration
`void` | `registerEntry(Object name, KernelRegistryEntry entry)` Register an object
`KernelRegistryEntry` | `unregisterEntry(Object name)` Unregister an object

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### KERNEL_REGISTRY_REGISTERED

    public static final String KERNEL_REGISTRY_REGISTERED

  Event type for registered event

  See Also:
    Constant Field Values

### KERNEL_REGISTRY_UNREGISTERED

    public static final String KERNEL_REGISTRY_UNREGISTERED

  Event type for unregistered event

  See Also:
    Constant Field Values

Method Detail

### getEntry

    public KernelRegistryEntry getEntry(Object name)

  Get a registration

  Parameters:
    `name` - the name of the object
  Returns:
    the registration
  Throws:
    `IllegalArgumentException` - for a null name
    `KernelRegistryEntryNotFoundException` - when not found

### registerEntry

    public void registerEntry(Object name,
                              KernelRegistryEntry entry)

  Register an object

  Parameters:
    `name` - the name of the object
    `entry` - the registration
  Throws:
    `IllegalArgumentException` - for a null name or object
    `IllegalStateException` - when the name is already registered

### unregisterEntry

    public KernelRegistryEntry unregisterEntry(Object name)

  Unregister an object

  Parameters:
    `name` - the name of the object
  Returns:
    the unregistered entry
  Throws:
    `IllegalArgumentException` - for a null name
    `IllegalStateException` - when the name is not registered

### containsEntry

    public boolean containsEntry(Object name)

  Returns whether or not there exists a KernelRegistryEntry with the given name.

  Parameters:
    `name` - name of the KernelRegistryEntry
  Returns:
    true if there exists a KernelRegistryEntry with the given name, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.